> ## Documentation Index
> Fetch the complete documentation index at: https://sage.ask-wire.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List properties by registration block and number

> List public properties matching a Cyprus registration block and number.

## Overview

Returns a paginated list of public properties matching a Cyprus registration block and number, within a given district/village/quarter.

Response fields are the same property object returned by [List properties](https://sage.ask-wire.com/api-reference/endpoint/get) — see that page for the full field reference.

Use [Registration blocks](https://sage.ask-wire.com/api-reference/endpoint/registration-blocks.md) to discover valid `registration_block` values for a given area.

***

## Query parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `district_code` | string | Yes | District code. |
| `village_code` | string | Yes | Village code. |
| `quarter_code` | string | No | Quarter code. |
| `registration_block` | string | Yes | Registration block identifier. |
| `registration_number` | string | Yes | Registration number identifier. |
| `page` | integer | No | Page number within the result set. |
| `page_size` | integer | No | Results per page. |

***

## Example request

```bash theme={null}
curl -X GET "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-registration/?district_code=04&village_code=0412&registration_block=0%2F4412&registration_number=17%2F2009" \
  -H "Authorization: Bearer YOUR_TOKEN"
```


## OpenAPI

````yaml GET /cy/cadastral-search/properties-by-registration/
openapi: 3.1.0
info:
  title: Properties API
  version: 1.0.0
  description: Public properties and foreclosure listings API
servers:
  - url: https://pandora.ask-wire.com
    description: Main API (Properties)
  - url: https://zeus.ask-wire.com
    description: Auth API
security:
  - bearerAuth: []
paths:
  /cy/cadastral-search/properties-by-registration/:
    get:
      summary: List properties by registration block and number
      operationId: propertiesByRegistration
      parameters:
        - name: district_code
          in: query
          required: true
          schema:
            type: string
          description: District code
        - name: village_code
          in: query
          required: true
          schema:
            type: string
          description: Village code
        - name: quarter_code
          in: query
          required: false
          schema:
            type: string
          description: Quarter code (optional)
        - name: registration_block
          in: query
          required: true
          schema:
            type: string
          description: Registration block identifier
        - name: registration_number
          in: query
          required: true
          schema:
            type: string
          description: Registration number identifier
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: Page number.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
          description: Results per page.
      responses:
        '200':
          description: Paginated property results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPropertiesResponse'
components:
  schemas:
    PaginatedPropertiesResponse:
      type: object
      properties:
        count:
          type: integer
        next:
          type:
            - string
            - 'null'
          format: uri
        previous:
          type:
            - string
            - 'null'
          format: uri
        results:
          type: array
          items:
            $ref: '#/components/schemas/Property'
    Property:
      type: object
      properties:
        id:
          type: integer
        municipality:
          $ref: '#/components/schemas/GeoEntity'
        municipal_unit:
          $ref: '#/components/schemas/GeoEntity'
        seller:
          $ref: '#/components/schemas/Seller'
        images:
          type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        polymorphic_type:
          type: string
          enum:
            - listing
            - foreclosure
        country:
          type: string
        listing_type:
          type: string
          enum:
            - sale
            - rent
            - sold
        source_type:
          type: string
        source:
          type: string
        price:
          type: number
        url:
          type: string
          format: uri
        reference_id:
          type: string
        description:
          type: string
        address:
          type: string
        latitude:
          type: number
        longitude:
          type: number
        coordinates:
          type: string
        build_area:
          type: number
        land_area:
          type: number
        uncovered_veranda_area:
          type: number
        covered_veranda_area:
          type: number
        price_per_sqm:
          type: number
        building_floor_count:
          type: integer
        construction_year:
          type: integer
        renovated:
          type: boolean
        renovation_year:
          type: integer
        floor_number:
          type: integer
        garage:
          type: boolean
        garden:
          type: boolean
        heating_type:
          type: string
        number_of_bedrooms:
          type: integer
        number_of_bathrooms:
          type: integer
        property_type:
          type: string
        swimming_pool:
          type: boolean
        view:
          type: string
        energy_class:
          type: string
          enum:
            - A
            - B
            - C
            - D
            - E
            - F
            - G
            - Exempt
            - Under issuance
        is_live:
          type: boolean
        is_modified:
          type: boolean
        is_public:
          type: boolean
        is_manually_updated:
          type: boolean
        is_ai_updated:
          type: boolean
        is_ai_processed:
          type: boolean
        is_ai_mismatched:
          type: boolean
        outlier:
          type: boolean
        comparable:
          type: boolean
        last_seen_at:
          type: string
          format: date-time
        first_seen_at:
          type: string
          format: date-time
        delisted_at:
          type:
            - string
            - 'null'
          format: date-time
        is_duplicated:
          type: boolean
        master_property_id:
          type: integer
        is_deduplication_processed:
          type: boolean
        is_master_property:
          type: boolean
        is_leader:
          type: boolean
        polymorphic_ctype:
          type: integer
        regional_unit:
          type: integer
        region:
          type: integer
        neighborhood:
          type: integer
        tags:
          type: array
          items:
            type: integer
    GeoEntity:
      type: object
      properties:
        id:
          type: integer
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        country:
          type: string
        parent_id:
          type: integer
        name_gr:
          type: string
        name_en:
          type: string
        level:
          type: integer
        code:
          type: string
        parent_code:
          type: string
    Seller:
      type: object
      properties:
        id:
          type: integer
        display_name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.